FLANG

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Fortran::evaluate::StaticDataObject Class Reference

## Public Types
using | Pointer = std::shared_ptr< StaticDataObject >

## Public Member Functions
| StaticDataObject (const StaticDataObject &)=delete
| StaticDataObject (StaticDataObject &&)=delete
StaticDataObject & | operator= (const StaticDataObject &)=delete
StaticDataObject & | operator= (StaticDataObject &&)=delete
const std::string & | name () const
StaticDataObject & | set_name (std::string n)
int | alignment () const
StaticDataObject & | set_alignment (int a)
int | itemBytes () const
StaticDataObject & | set_itemBytes (int b)
const std::vector< std::uint8_t > & | data () const
std::vector< std::uint8_t > & | data ()
StaticDataObject & | Push (const std::string &)
StaticDataObject & | Push (const std::u16string &)
StaticDataObject & | Push (const std::u32string &)
std::optional< std::string > | AsString () const
std::optional< std::u16string > | AsU16String () const
std::optional< std::u32string > | AsU32String () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Static Public Member Functions
static Pointer | Create ()

## Static Public Attributes
static bool | bigEndian {false}

The documentation for this class was generated from the following files:

- include/flang/Evaluate/static-data.h
- lib/Evaluate/static-data.cpp